local assets=
{
	Asset("ANIM", "anim/soul.zip"),
	
}


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    anim:SetBank("soul")
    anim:SetBuild("soul")
    anim:PlayAnimation("anim")
    
    inst:AddComponent("inspectable")
	
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/soul.xml"	
	
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = 10
    
    return inst
end

return Prefab( "common/inventory/soul", fn, assets) 









